<?php
/**
 * The header for our theme
 *
 * This is the template that displays all of the <head> section and everything up until <div id="content">
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package London_Music_Expo
 */

?>
<!doctype html>
<html <?php language_attributes(); ?>>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<link rel="profile" href="https://gmpg.org/xfn/11">

	<!-- Bootstrap -->
	<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">

	<!-- Favicons -->
    <link rel="apple-touch-icon" sizes="180x180" href="<?= get_template_directory_uri(); ?>/favicons/apple-touch-icon.png">
    <link rel="icon" type="image/png" sizes="32x32" href="<?= get_template_directory_uri(); ?>/favicons/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="16x16" href="<?= get_template_directory_uri(); ?>/favicons/favicon-16x16.png">
    <link rel="manifest" href="<?= get_template_directory_uri(); ?>/favicons/site.webmanifest">
    <link rel="mask-icon" href="<?= get_template_directory_uri(); ?>/favicons/safari-pinned-tab.svg" color="#5bbad5">
    <meta name="msapplication-TileColor" content="#da532c">
    <meta name="theme-color" content="#ffffff">
	<?php wp_head(); ?>
</head>

<body <?php body_class(); ?>>
<?php wp_body_open(); ?>
<div id="page" class="site">
	<a class="skip-link screen-reader-text" href="#primary"><?php esc_html_e( 'Skip to content', 'london-music-expo' ); ?></a>

	<header id="masthead">
		<nav id="site-navigation" class="max-width-1440 px-12 mx-auto d-flex justify-content-between align-items-center">
			<a href="/" class="logo">
				<img class="img-fluid" src="/wp-content/uploads/2022/12/lcoc.svg" alt="Logo">
			</a>
			<div class="btn-group d-flex">
				<a href="https://www.londonchamber.com/events/details/london-city-of-music-expo-1242" class="header-btn text-uppercase pt-sans font-700" target="_blank">Get Tickets!</a>
				<a href="#get-involved" class="header-btn text-uppercase pt-sans font-700">Get Involved</a>
			</div>
		</nav><!-- #site-navigation -->
	</header><!-- #masthead -->
