<?php 
    /**
     * Template Name: Home Page Template
    */
    get_header();
?>
    <!-- Hero Banner -->
    <section class="hero-banner d-flex justify-content-center align-items-center" style="background: url(<?= get_field('banner_bg_image')['url']; ?>) no-repeat;">
        <div class="max-width-1440 px-12 banner-container d-flex flex-column align-items-center">
            <p class="pt-sans font-700 letter-spacing text-center"><?= get_field('london_chamber_presents_titlte') ?></p>
            <img class="img-fluid" src="<?= get_field('banner_logo')['url']; ?>" alt="<?= get_field('banner_logo')['alt']; ?>">
        </div>
    </section>

    <!-- Music Means Business -->
    <section class="second-section d-flex flex-column align-items-center max-width-760 mx-auto">
        <h1 class="pt-sans font-700 font-size-48 denim text-center"><?= get_field('second_title'); ?></h1>
        <p class="pt-serif font-700 font-size-22"><?= get_field('sec_para_one'); ?></p>
        <p class="pt-serif font-400 font-size-18 regular-text"><?= get_field('sec_para_two'); ?></p>
        <div class="second-img-container">
            <img class="img-fluid" src="<?= get_field('sec_two_image')['url']; ?>" alt="<?= get_field('sec_two_image')['alt']; ?>">
        </div>
    </section>

    <!-- Third Section - London Chamber of Secred -->
    <section class="third-section max-width-1440 mx-auto px-12">
        <div class="row justify-content-center align-items-center">
            <div class="col-md-6">
                <h2 class="mustard pt-sans font-700 mb-4"><?= get_field('lcoc_title'); ?></h2>
                <p class="pt-serif font-400 font-size-18 d-none d-md-block"><?= get_field('lcoc_regular_text'); ?></p>
            </div>
            <div class="col-md-4">
                <div class="lcoc-img-container">
                    <img src="<?= get_field('lcoc_image')['url'];?>" alt="<?= get_field('lcoc_image')['alt'];?>" class="img-fluid">
                </div>
                <p class="pt-serif font-400 font-size-18 d-md-none mt-4"><?= get_field('lcoc_regular_text'); ?></p>
            </div>
        </div>
        <!-- Image elements -->
        <img class="third-one" src="/wp-content/uploads/2022/12/body-floater1.png" alt="">
        <img class="third-two" src="/wp-content/uploads/2022/12/body-floater3.png" alt="">
        <img class="third-three" src="/wp-content/uploads/2022/12/body-floater3.png" alt="">
        <img class="third-four" src="/wp-content/uploads/2022/12/body-floater1.png" alt="">
    </section>

    <!-- Fourth Section - London City of Music Expo -->
    <section class="fourth-section max-width-1440 mx-auto px-12 d-flex flex-column align-items-center">
        <h2 class="pt-sans font-700 font-size-48 denim text-center mb-4"><?= get_field('third_title'); ?></h2>
        <div class="fourth-img-container">
            <p class="pt-sans font-700 font-size-18 text-center mb-0 letter-spacing"><?= get_field('event_time_and_place'); ?></p>
            <img class="img-fluid" src="<?= get_field('third_image')['url']; ?>" alt="<?= get_field('third_image')['alt']; ?>">
        </div>
        <p class="pt-serif font-700 font-size-22 my-5"><?= get_field('third_para_bold'); ?></p>
        <p class="pt-serif font-400 font-size-18 regular-text"><?= get_field('third_para_regular'); ?></p>
    </section>

    <!-- Fifth Section -->
    <section class="fifth-section max-width-1440 mx-auto px-12" id="get-involved">
        <div class="row">
            <div class="col-md-6">
                <div class="get-tickets">
                    <h2 class="pt-sans font-700 white text-center font-size-40 mb-4"><?= get_field('ticket_title'); ?></h2>
                    <div class="wyzywig-para">
                        <?= get_field('ticket_info');?>
                    </div>
                    <p class="pt-sans font-700 white font-size-18 letter-spacing"><?= get_field('ticket_info_last_line'); ?></p>              
                    <img src="/wp-content/uploads/2022/12/get-tickets-floater2.png" alt="" class="tickets-one">
                    <img src="/wp-content/uploads/2022/12/get-tickets-floater1.png" alt="" class="tickets-two">
                </div>
            </div>
            <div class="col-md-6">
                <div class="get-involved d-flex flex-column justify-content-between mt-5 mt-md-0">
                    <div>
                        <h2 class="pt-sans font-700 denim text-center font-size-40 mb-4"><?= get_field('involded_title'); ?></h2>
                        <p class="pt-serif font-400 font-size-18"><?= get_field('involved_info'); ?></p>              
                    </div>
                    <div class="wyzywig-para">
                        <?= get_field('email_and_contact');?>
                    </div>
                    <img src="/wp-content/uploads/2022/12/get-involved-floater1.png" alt="" class="involved-one">
                    <img src="/wp-content/uploads/2022/12/get-involved-floater1.png" alt="" class="involved-two">
                </div>
            </div>
        </div>
    </section>

    <!-- Events Section -->
    <section class="events-container position-relative" style="background: url(<?= get_field('events_bg')['url']; ?>) no-repeat;">
        <div class="max-width-956 px-12 mx-auto">
            <h2 class="pt-sans font-700 mustard font-size-40 mb-5"><?= get_field('event_section_title'); ?></h2>
            <?php if(have_rows('event_list')): ?>
            <div class="events">
                <?php 
                    while(have_rows('event_list')): the_row();
                    // $count = count(array(have_rows('event_list')));
                    // echo $count;
                ?>
                    <div class="row pb-4 mb-4 single-event d-flex justify-content-between align-items-center flex-wrap">
                        <p class="col-sm-7 pt-serif font-400 font-size-18 mb-0 white"><?= get_sub_field('event_title'); ?></p>              
                        <div class="col-sm-5 d-flex align-items-center justify-content-end mt-3 mt-sm-0">
                            <p class="pt-serif font-400 font-size-18 mb-0 white"><?php the_sub_field('event_time'); ?></p>              
                            <?php if(get_sub_field('register_link')): ?>
                                <div class="d-flex register-btn">
                                    <a href="<?= get_sub_field('register_link')['url'];?>" class="pt-sans font-size-18 font-400 text-uppercase white">register</a>
                                </div>
                            <?php endif; ?>
                        </div>
                    </div>
                <?php 
                    endwhile;
                ?>
            </div>
            <?php endif; ?>
        </div>
        <img class="work-one" src="/wp-content/uploads/2022/12/workshops-floater2.png" alt="">
        <img class="work-top-right" src="/wp-content/uploads/2022/12/workshops-floater3.png" alt="">
        <img class="work-bottom-left" src="/wp-content/uploads/2022/12/workshops-floater3.png" alt="">
    </section>

    <!-- Slider Section -->
    <section class="slider-container">
        <?= get_template_part('template-parts/template', 'slider'); ?>
    </section>

    <!-- Sponsor Section -->
    <section class="sponsor-section">
        <div class="sponsor-container max-width-1440 px-12 mx-auto">
            <h2 class="pt-sans font-size-48 mustard text-center font-700"><?= get_field('sponsor_title'); ?></h2>
            <div class="row justify-content-center justify-content-lg-between">
                <?php 
                    while(have_rows('sponsors')): the_row();
                ?>
                    <div class="sponsor-image col-6 col-md-4 col-xl-2 mb-3">
                        <img src="<?= get_sub_field('sponsor_image')['url'];?>" alt="<?= get_sub_field('sponsor_image')['alt'];?>" class="img-fluid">
                    </div>
                <?php 
                    endwhile;
                ?>
            </div>
        </div>
    </section>
<?php 
    get_footer();
?>